@import './variables';
@import './mixins';

.footer {
  text-align: center;
  padding: 38px 68px 47px 68px;
  background: $black;
  font-size: 12px;
  line-height: 20px;

  @media (min-width: $width-768) {
  font-size: 14px;
  }

  @media (min-width: $width-992) {
    font-size: 16px;
  }
}

.footer .footer__title {
  margin-top: 0;
  color: $white;

  &:after {
    content: '-';
  }

  @media (min-width: $width-768) {
    font-size: 16px;
  }
}

.footer__text {
  color: $grey_m;

  @media (min-width: $width-768) {
    max-width: 600px;
    @include center-block;
  }
}

.footer__social-icons {
  margin-top: 25px;
  margin-bottom: 25px;
  display: flex;
  justify-content: center;
}

.footer__contacts-container {
  color: $grey_m;
  display: flex;
  gap: 5px;
  flex-direction: column;

  @media (min-width: $width-640) {
    flex-direction: row;
    justify-content: center;
  }
}

.footer__address {
  text-decoration: none;
  color: $grey_m;
}

.footer__email {
  text-decoration: none;
  color: $grey_m;
}

.footer__address:after {
  content: '/';
}

.footer__phone:after {
  content: '/';
}